package com.arms.egovframework.javaservice.esframework.esquery.must;

import org.opensearch.index.query.AbstractQueryBuilder;
import org.opensearch.index.query.MatchAllQueryBuilder;
import org.opensearch.index.query.QueryBuilders;
import org.opensearch.index.query.TermQueryBuilder;

public class MatchAllQueryMust extends Must<MatchAllQueryBuilder> {

	private final MatchAllQueryBuilder matchAllQueryBuilder;

	public <T> MatchAllQueryMust(){
		this.matchAllQueryBuilder = QueryBuilders.matchAllQuery();
	}

	@Override
	public AbstractQueryBuilder<MatchAllQueryBuilder> abstractQueryBuilder() {
		return matchAllQueryBuilder;
	}
}
